import SequenceEvaluator from "./SequenceEvaluator";
import StepFactory from "./StepFactory";

export default interface SequenceEvaluatorRepository {

    getSequenceEvaluatorByWebSiteId(sessionId: string, stepFactory: StepFactory): Promise<SequenceEvaluator>;
    createSequenceEvaluator(sessionId: string, stepFactory: StepFactory, stepList: Array<{name: string, expression: string }>): Promise<SequenceEvaluator>;
    updateSequenceEvaluator(sessionId: string, stepList: Array<{name: string, expression: string }>): Promise <void>;
    removeSequenceEvaluator(sessionId): Promise<void>;

}
